@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
   margin: 0;
   padding: 0;
   box-sizing: border-box;
}

a {
   text-decoration: none !important;
}

.positon-fixed {
   position: fixed;
}

.bg-black {
   background-color: #000;
}

body {
   /* background: #113100 !important; */
   background: #F1F7FF !important;
   min-height: 100vh;
   /* padding: 20px; */
   font-family: 'Poppins', sans-serif !important;
}

.poppins-thin {
   font-family: 'Poppins', sans-serif;
   font-weight: 100;
   font-style: normal;
}

.poppins-extralight {
   font-family: 'Poppins', sans-serif;
   font-weight: 200;
   font-style: normal;
}

.poppins-light {
   font-family: 'Poppins', sans-serif;
   font-weight: 300;
   font-style: normal;
}

.poppins-regular {
   font-family: 'Poppins', sans-serif;
   font-weight: 400;
   font-style: normal;
}

.poppins-medium {
   font-family: 'Poppins', sans-serif;
   font-weight: 500;
   font-style: normal;
}

.poppins-semibold {
   font-family: 'Poppins', sans-serif;
   font-weight: 600;
   font-style: normal;
}

.poppins-bold {
   font-family: 'Poppins', sans-serif;
   font-weight: 700;
   font-style: normal;
}

.poppins-extrabold {
   font-family: 'Poppins', sans-serif;
   font-weight: 800;
   font-style: normal;
}

.poppins-black {
   font-family: 'Poppins', sans-serif;
   font-weight: 900;
   font-style: normal;
}

.container {
   max-width: 1200px;
   margin: 0 auto;
   display: grid;
   grid-template-columns: 3fr 7fr;
   gap: 30px;
   background: white;
   border-radius: 15px;
   box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
   padding: 30px;
}

.package-column {
   /* background: #f0f0f0; */
   /* padding: 20px; */
   padding: 0 20px;
   border-radius: 10px;
}

.package-column h2 {
   color: #2c3e50;
   margin-bottom: 15px;
   font-size: 1.5em;
}

.package-details {
   background: #fff;
   padding: 15px;
   border-radius: 8px;
   box-shadow: 0 2px 5px rgba(0, 0, 0, 0.05);
   border: 2px solid #0D256D;
}

.package-header {
   margin-bottom: 15px;
}

.package-name {
   color: #000;
   font-size: 24px;
   margin-bottom: 5px;
}

.package-price {
   color: #0D256D;
   font-size: 40px;
   font-weight: bold;
}

.package-price-before {
   color: #7f8c8d;
   text-decoration: line-through;
   margin-left: 10px;
   font-size: 20px;
}

.bullet-section {
   margin: 15px 0;
}

.bullet-section h4 {
   color: red;
   margin-bottom: 10px;
   font-size: 1em;
}

.package-details ul {
   list-style: none;
}

.package-details li {
   margin: 8px 0;
   color: #000;
   font-size: 0.9em;
}

.package-details li::before {
   content: '✓ ';
   color: #0D256D;
}

.form-column {
   padding: 30px;
}

.form-step {
   display: none;
}

.form-step.active {
   display: flex;
   flex-direction: column;
   justify-content: space-between;
}

.form-step h3 {
   color: #0D256D;
}

.form-step button {
   background-color: #0D256D;
}

.req-field-star {
   color: red;
}

h3 {
   color: #2c3e50;
   margin-bottom: 20px;
}

.form-group {
   margin-bottom: 20px;
}

label {
   display: block;
   margin-bottom: 5px;
   color: #34495e;
}

input,
select,
textarea {
   width: 100%;
   padding: 10px;
   border: 1px solid #ddd;
   border-radius: 5px;
   font-size: 16px;
}

input.error,
select.error {
   border-color: #e74c3c;
}

.error-message {
   color: #e74c3c;
   font-size: 14px;
   margin-top: 5px;
   display: none;
}

button {
   /* background: #3498db; */
   color: white;
   padding: 12px 25px;
   border: none;
   border-radius: 5px;
   cursor: pointer;
   transition: background 0.3s;
}

button:hover {
   background: #e92b35;
}

#card-element {
   border: 1px solid #ddd;
   padding: 10px;
   border-radius: 5px;
   background: white;
}

#card-errors {
   color: #e74c3c;
   margin-top: 10px;
}

.logo-select {
   display: flex;
   flex-wrap: wrap;
   gap: 10px;
}

.logo-select label {
   display: flex;
   flex-direction: column;
   align-items: center;
   cursor: pointer;
}

.logo-select input {
   display: none;
}

.logo-select img {
   border: 2px solid transparent;
   border-radius: 5px;
   width: 100px;
   height: 100px;
}

.logo-select input:checked+img {
   border-color: #3498db;
}

.package-details {
   background-color: #fff;
   /* background-color: #e92b35; */
}

/* @media (max-width: 768px) {
   .container {
      display: flex;
      flex-direction: column;
   }
   .package-column, .form-column{
      padding: 0px;
   }
} */

/**@media (max-width: 425px) {
   .container {
      display: flex;
      flex-direction: column;
      gap: 20px!important;
   }
   .package-column, .form-column{
      padding: 0px;
   }
}

@media (min-width: 426px) and (max-width: 1024px) {
   .container{
      max-width: 100%!important;
      gap: 20px!important;
   }
   .package-column, .form-column{
      padding: 0px;
   }
}**/

@media (max-width: 768px) {
   .container {
      display: flex;
      flex-direction: column;
      gap: 20px!important;
   }
   .package-column, .form-column{
      padding: 0px;
   }
}

@media (min-width: 769px) and (max-width: 1024px) {
   .container{
      max-width: 100%!important;
      gap: 20px!important;
   }
   .package-column, .form-column{
      padding: 0px;
   }
}

@media (min-width: 768px) and (max-width: 1024px) {
   .container{
      grid-template-columns: 4fr 6fr;
   }
}

@media (min-width: 1025px) and (max-width: 1440px) {
   .container{
      gap: 0px!important;
   }
}